YouVersion PlatformYouVersion Platform
PlatformBiblesDev Docs
CommunityPartnersSupport

YouVersion Platform

Build applications and integrate with the world's most popular Bible platform.

Platform Products

  • Platform Portal
  • Developer Documentation
  • App Management

Resources

  • Support
  • Press inquiries

Legal

  • Privacy Policy
  • Terms of Use

© 2026 YouVersion. All rights reserved.

  • Overview
  • API Reference
  • SDKs
  • Changelog
<  Back to Platform
data exchange
    Show the data exchange approval page.getComplete the data exchange approval flow.postCreate a data exchange token.post
bibles
    Get a Bible collectiongetGet a Bible's datagetGet the index for a BiblegetGet a passage of Bible textgetGet a Book collection for a BiblegetGet a Book's datagetGet a Chapter collection for a BookgetGet a Chapter's datagetGet a Verse collection for a ChaptergetGet a Verse's dataget
fonts
    Get a collection of fonts supported in the Platform.getGet details about a specific font family in the Platform.getGet a browser-consumable stylesheet for a specific font family.get
highlights
    Get a collection of highlights for a user.getCreate or update a highlight on a passage.postDelete a highlight.delete
languages
    Get a collection of languages supported in the Platform.getGet details about a specific language in the Platform.get
licenses
    Get a collection of licensesget
organizations
    Get a collection of organizations in the Platform.getGet details about a specific organization in the Platform.getGet bibles associated with a specific organization in the Platform.getGet video playlists associated with a specific organization in the Platform.getGet an organization video playlist by id.get
verse of the days
    Get the verse of the day calendar for an entire year.getGet the verse of the day for a specific day of the year.get
apps
    Get details about a specific app in the Platform.get
Schemas
Transformers
Transformers

highlights

Endpoint

Endpoints for managing user highlights on scripture passages. Use these to list existing highlights, create new ones, update highlights, or clear highlights for verse ranges.


Get a collection of highlights for a user.

GET
https://api.youversion.com
/v1/highlights

The response will return a color per verse without ranges.

Get a collection of highlights for a user. › query Parameters

bible_id
​integer · int32 · required

The Bible version identifier

Example: 3034
passage_id
​string · required

The passage identifier (verse or chapter USFM format)

Example: MAT.1.1

Get a collection of highlights for a user. › Responses

Successful request

​object[] · readOnly
GET/v1/highlights
curl --request GET \ --url 'https://api.youversion.com/v1/highlights?bible_id=%3Cnumber%3E&passage_id=%3Cstring%3E'
shell
Example Responses
{ "data": [ { "id": "ZXlKaUlqb3hNVEVzSW1NaU9pSmhZV0ZoWVdFaWZR", "bible_id": 3034, "passage_id": "MAT.1.1", "color": "44aa44" } ] }
json
application/json

Create or update a highlight on a passage.

POST
https://api.youversion.com
/v1/highlights

Verse ranges may be used in the POST body passage_id attribute.

Create or update a highlight on a passage. › Request Body

request_id
​string · uuid · required

Request UUID for idempotent create retries.

Example: 2f8c5d2e-6f6c-4b4f-9b36-8c1b5a17d3f9
​object · required

Create or update a highlight on a passage. › Responses

Highlight(s) created successfully

bible_id
​integer · int32 · required

Bible version identifier

Example: 3034
passage_id
​string · required

The passage identifier (verse USFM format)

Example: MAT.1.1
color
​string · pattern: ^[0-9a-f]{6}$ · required

The highlight color in hex format

Example: 44aa44
id
​string

The Highlight resource identifier

Example: ZXlKaUlqb3hNVEVzSW1NaU9pSmhZV0ZoWVdFaWZR
POST/v1/highlights
curl --request POST \ --url https://api.youversion.com/v1/highlights \ --header 'Content-Type: application/json' \ --data ' { "request_id": "2f8c5d2e-6f6c-4b4f-9b36-8c1b5a17d3f9", "highlight": { "id": "ZXlKaUlqb3hNVEVzSW1NaU9pSmhZV0ZoWVdFaWZR", "bible_id": 3034, "passage_id": "MAT.1.1", "color": "44aa44" } } '
shell
Example Request Body
{ "request_id": "2f8c5d2e-6f6c-4b4f-9b36-8c1b5a17d3f9", "highlight": { "id": "ZXlKaUlqb3hNVEVzSW1NaU9pSmhZV0ZoWVdFaWZR", "bible_id": 3034, "passage_id": "MAT.1.1", "color": "44aa44" } }
json
Example Responses
{ "id": "ZXlKaUlqb3hNVEVzSW1NaU9pSmhZV0ZoWVdFaWZR", "bible_id": 3034, "passage_id": "MAT.1.1", "color": "44aa44" }
json
application/json

Delete a highlight.

DELETE
https://api.youversion.com
/v1/highlights/{highlight_id}

Delete a highlight by its resource identifier.

Delete a highlight. › path Parameters

highlight_id
​string · required

The Highlight resource identifier

Example: ZXlKaUlqb3hNVEVzSW1NaU9pSmhZV0ZoWVdFaWZR

Delete a highlight. › Responses

Highlights deleted successfully

No data returned
DELETE/v1/highlights/{highlight_id}
curl --request DELETE \ --url https://api.youversion.com/v1/highlights/:highlight_id
shell
Example Responses
No example specified for this content type

fontslanguages